<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXKit/Classes/Base/UI/UITextView+XHXPlaceholder.h 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_u_i_text_view_09_x_h_x_placeholder_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">UITextView+XHXPlaceholder.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_u_i_text_view_09_x_h_x_placeholder_8h.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">//  UITextView+XHXPlaceholder.h</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//  AFNetworking</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//  Created by Leovir on 2018/4/2.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#import &lt;UIKit/UIKit.h&gt;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160; </div>
<div class="line"><a name="l00010"></a><span class="lineno"><a class="line" href="category_u_i_text_view_07_x_h_x_placeholder_08.html">   10</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="category_u_i_text_view_07_x_h_x_placeholder_08.html">UITextView (XHXPlaceholder)</a></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160; </div>
<div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="category_u_i_text_view_07_x_h_x_placeholder_08.html#abba4b1b9727800363754d42b59b60955">   15</a></span>&#160;<span class="keyword">@property</span> (nonatomic,strong,nullable) NSString * <a class="code" href="category_u_i_text_view_07_x_h_x_placeholder_08.html#abba4b1b9727800363754d42b59b60955">placeHolder</a>;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160; </div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160; </div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="category_u_i_text_view_07_x_h_x_placeholder_08.html#aaf17b4ee4516c45e6b04073a6df23964">   21</a></span>&#160;<span class="keyword">@property</span> (nonatomic,strong,readonly,nullable) UILabel * <a class="code" href="category_u_i_text_view_07_x_h_x_placeholder_08.html#aaf17b4ee4516c45e6b04073a6df23964">placeHolderLabel</a>;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div>
<div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="category_u_i_text_view_07_x_h_x_placeholder_08.html#a9ac0ae18ae67e725108938f93157da3d">   26</a></span>&#160;<span class="keyword">@property</span> (nonatomic,strong,nullable)  UIFont * <a class="code" href="category_u_i_text_view_07_x_h_x_placeholder_08.html#a9ac0ae18ae67e725108938f93157da3d">placeHolderFont</a>;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160; </div>
<div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="category_u_i_text_view_07_x_h_x_placeholder_08.html#a0e9bf1b3fb7ec2f1658436902b216a74">   31</a></span>&#160;<span class="keyword">@property</span> (nonatomic,strong,nonnull) UIColor * <a class="code" href="category_u_i_text_view_07_x_h_x_placeholder_08.html#a0e9bf1b3fb7ec2f1658436902b216a74">placeHolderColor</a>;</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160; </div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keyword">@end</span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="acategory_u_i_text_view_07_x_h_x_placeholder_08_html_aaf17b4ee4516c45e6b04073a6df23964"><div class="ttname"><a href="category_u_i_text_view_07_x_h_x_placeholder_08.html#aaf17b4ee4516c45e6b04073a6df23964">UITextView(XHXPlaceholder)::placeHolderLabel</a></div><div class="ttdeci">UILabel * placeHolderLabel</div><div class="ttdef"><b>Definition:</b> <a href="_u_i_text_view_09_x_h_x_placeholder_8h_source.html#l00021">UITextView+XHXPlaceholder.h:21</a></div></div>
<div class="ttc" id="acategory_u_i_text_view_07_x_h_x_placeholder_08_html_a9ac0ae18ae67e725108938f93157da3d"><div class="ttname"><a href="category_u_i_text_view_07_x_h_x_placeholder_08.html#a9ac0ae18ae67e725108938f93157da3d">UITextView(XHXPlaceholder)::placeHolderFont</a></div><div class="ttdeci">UIFont * placeHolderFont</div><div class="ttdef"><b>Definition:</b> <a href="_u_i_text_view_09_x_h_x_placeholder_8h_source.html#l00026">UITextView+XHXPlaceholder.h:26</a></div></div>
<div class="ttc" id="acategory_u_i_text_view_07_x_h_x_placeholder_08_html"><div class="ttname"><a href="category_u_i_text_view_07_x_h_x_placeholder_08.html">UITextView(XHXPlaceholder)</a></div><div class="ttdef"><b>Definition:</b> <a href="_u_i_text_view_09_x_h_x_placeholder_8h_source.html#l00010">UITextView+XHXPlaceholder.h:10</a></div></div>
<div class="ttc" id="acategory_u_i_text_view_07_x_h_x_placeholder_08_html_a0e9bf1b3fb7ec2f1658436902b216a74"><div class="ttname"><a href="category_u_i_text_view_07_x_h_x_placeholder_08.html#a0e9bf1b3fb7ec2f1658436902b216a74">UITextView(XHXPlaceholder)::placeHolderColor</a></div><div class="ttdeci">UIColor * placeHolderColor</div><div class="ttdef"><b>Definition:</b> <a href="_u_i_text_view_09_x_h_x_placeholder_8h_source.html#l00031">UITextView+XHXPlaceholder.h:31</a></div></div>
<div class="ttc" id="acategory_u_i_text_view_07_x_h_x_placeholder_08_html_abba4b1b9727800363754d42b59b60955"><div class="ttname"><a href="category_u_i_text_view_07_x_h_x_placeholder_08.html#abba4b1b9727800363754d42b59b60955">UITextView(XHXPlaceholder)::placeHolder</a></div><div class="ttdeci">NSString * placeHolder</div><div class="ttdef"><b>Definition:</b> <a href="_u_i_text_view_09_x_h_x_placeholder_8h_source.html#l00015">UITextView+XHXPlaceholder.h:15</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_05f730b1f29a3e373a3d04cb5cb42ea7.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_2d533305e802e0a7e844b4ecd2e2bdb2.html">Classes</a></li><li class="navelem"><a class="el" href="dir_778ebd26e57377eb2e4b9acfa44c059f.html">Base</a></li><li class="navelem"><a class="el" href="dir_ae34ab756cc452970fecf85032fd951c.html">UI</a></li><li class="navelem"><a class="el" href="_u_i_text_view_09_x_h_x_placeholder_8h.html">UITextView+XHXPlaceholder.h</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
